> ## Documentation Index
> Fetch the complete documentation index at: https://aspect.inc/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove User From Project

> Remove a user's explicit project permission.

Works for both full users and stub users.

Requirements:
- Requires FULL_ACCESS on the project
- Cannot remove project permission for workspace owners

Note: If this is the user's last project access and they are a member_limited user,
they will be automatically removed from the workspace as well.



## OpenAPI

````yaml /api-reference/openapi.json delete /projects/{project_id}/users/{user_id}
openapi: 3.1.0
info:
  title: Aspect Platform API
  description: A FastAPI application for Aspect Platform functionality
  version: 0.0.0
servers:
  - url: https://api.aspect.inc
security:
  - BearerAuth: []
  - ApiKeyAuth: []
paths:
  /projects/{project_id}/users/{user_id}:
    delete:
      tags:
        - Projects
      summary: Remove User From Project
      description: >-
        Remove a user's explicit project permission.


        Works for both full users and stub users.


        Requirements:

        - Requires FULL_ACCESS on the project

        - Cannot remove project permission for workspace owners


        Note: If this is the user's last project access and they are a
        member_limited user,

        they will be automatically removed from the workspace as well.
      operationId: delete_Projects_projects_project_id_users_user_id
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Project Id
        - name: user_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: User Id
      responses:
        '204':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT in Authorization header. 'Bearer ' prefix optional.
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: Aspect API key (sk_...) in Authorization header. 'Bearer ' optional.

````